Bug 629717

Summary: Review Request: mingw32-netcf - Cross-platform network configuration library
Product: [Fedora] Fedora Reporter: Adam Stokes <astokes>
Component: Package ReviewAssignee: Jan Görig <jgorig>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: abeekhof, fedora-mingw, fedora-package-review, jgorig, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 07:42:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Adam Stokes 2010-09-02 15:16:44 EDT
Spec URL: http://astokes.fedorapeople.org/mingw32-netcf/mingw32-netcf.spec
SRPM URL: http://astokes.fedorapeople.org/mingw32-netcf/mingw32-netcf-0.1.6-2.fc13.src.rpm
Description:
A library for modifying the network configuration of a system. Network
configurations are expresed in a platform-independent XML format, which
netcf translates into changes to the system's 'native' network
configuration files.
Comment 1 Jan Görig 2010-10-13 03:46:38 EDT
Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- MUST: rpmlint must be run on every package. The output should be posted in the review.

mingw32-netcf-debuginfo.x86_64: E: empty-debuginfo-package
mingw32-netcf.x86_64: W: spelling-error %description -l en_US expresed -> expressed, express, exposed
mingw32-netcf.x86_64: E: no-binary
2 packages and 0 specfiles checked; 2 errors, 1 warnings.

- All packages should have: BuildArch: noarch unless they contain Fedora native executables (debuginfo related). 

+ MUST: The package must be named according to the Package Naming Guidelines.
+ MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
+ MUST: The package must meet the Packaging Guidelines.
+ MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
+ MUST: The License field in the package spec file must match the actual license.
+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
bde236e67d6bb0427eefba3c6721e760  mingw32-netcf-0.1.6.tar.gz
bde236e67d6bb0427eefba3c6721e760  mingw32-netcf-0.1.6.tar.gz

+ MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
0 MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
0 MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
0 MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
+ MUST: Packages must NOT bundle copies of system libraries.
0 MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
+ MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
+ MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
+ MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
+ MUST: Each package must consistently use macros.
+ MUST: The package must contain code, or permissable content.
0 MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
0 MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
0 MUST: Header files must be in a -devel package.
0 MUST: Static libraries must be in a -static package.
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
0 MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
0 MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
0 MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
Package owns %{_mingw32_datadir} which owns mingw32-filesystem.

+ MUST: All filenames in rpm packages must be valid UTF-8.

Summary:
- All packages should have: BuildArch: noarch unless they contain Fedora native executables.
- Package owns %{_mingw32_datadir} which owns mingw32-filesystem.

MinGW specific:
- Why are not present .dll.a and .la files? (http://fedoraproject.org/wiki/Packaging/MinGW)
Comment 2 Jan Görig 2010-10-13 04:03:35 EDT
Another issue: koji build for f14/rawhide fails.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2531865
http://koji.fedoraproject.org/koji/taskinfo?taskID=2531868
Comment 3 Andrew Beekhof 2010-12-03 07:42:29 EST
The matahari team no longer has a need for this package.
Someone else is free to reopen if they wish to maintain a windows port.